"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SIGRTMAX = exports.getRealtimeSignals = void 0;

// List of realtime signals with information about them
var getRealtimeSignals = function getRealtimeSignals() {
  var length = SIGRTMAX - SIGRTMIN + 1;
  return Array.from({
    length: length
  }, getRealtimeSignal);
};

exports.getRealtimeSignals = getRealtimeSignals;

var getRealtimeSignal = function getRealtimeSignal(value, index) {
  return {
    name: "SIGRT".concat(index + 1),
    number: SIGRTMIN + index,
    action: 'terminate',
    description: 'Application-specific signal (realtime)',
    standard: 'posix'
  };
};

var SIGRTMIN = 34;
var SIGRTMAX = 64;
exports.SIGRTMAX = SIGRTMAX;